import java.io.*;
import java.util.*;

public class ModelLoader {

	public static List<Integer> models = null;

	public ModelLoader()
	{
		loadArray();
	}

	public static byte[] loadNewModel(int i) throws IOException
	{
		DataInputStream dis = new DataInputStream(new FileInputStream("./models/"+i+".dat"));
		byte[] buffer = new byte[(int) new File("./models/"+i+".dat").length()];
		dis.readFully(buffer);
		dis.close();
		return buffer;
	}

	public void loadArray()
	{
		models = new ArrayList<Integer>();
		File[] m = new File("./models").listFiles();
		for (File model : m)
			if(model.getName().contains(".dat"))
				models.add(Integer.parseInt(model.getName().substring(0, model.getName().indexOf(".dat"))));
	}

}